=== numpy/numarray/SConstruct ===
# Last Change: Fri Oct 19 09:00 AM 2007 J
# vim:syntax=python
import __builtin__
__builtin__.__NUMPY_SETUP__ = True
from numpy.distutils.misc_util import get_numpy_include_dirs
from numscons import GetNumpyEnvironment, scons_get_paths

env = GetNumpyEnvironment(ARGUMENTS)
env.Append(CPPPATH = scons_get_paths(env['include_bootstrap']))
env.Append(CPPPATH = env['src_dir'])

_capi = env.NumpyPythonExtension('_capi', source = ['_capi.c'])
