=== debian/changelog ===
python-numpy (1:1.4.1-5) unstable; urgency=low

  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - fixed small typo in description
  * debian/patches/changeset_r8364.diff
    - fix memory corruption (double free); thanks to Joseph Barillari for the
      report and to Michael Gilbert for pushing resolution; Closes: #581058

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2010 10:19:13 +0200

python-numpy (1:1.4.1-4) unstable; urgency=low

  * debian/rules
    - starts providing /usr/share/python/dist/python-numpy file, to be used by
      dh_python2/dh_pysupport for dependency declaration
  * debian/{dh_numpy, python-numpy.install, python-numpy.manpages}
    - added debhelper script dh_numpy that using .../dist/python-numpy adds to
      python:Depends the correct versioned depends on python-numpy; thanks to
      Piotr Ożarowski for providing the script
  * debian/patches/changeset_r8526.diff
    - cherry-picked from upstream SVN patches to define the quad prec little
      endian double on Alpha, fixing the FTBFS on that arch; thanks to David
      Cournapeau for the patch and huge support! Closes: #590481
  * debian/{README.DebianMaints, python-numpy.docs}
    - added a mini-guide/explanation about dh_numpy and/or pydist files

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Jul 2010 00:05:00 +0200

python-numpy (1:1.4.1-3) unstable; urgency=low

  * debian/rules
    - use the python-support specific directory (/usr/lib/pymodules) for the
      symlinks /usr/include/python*/numpy; this correctly installs the header
      files (mainly _numpyconfig.h) used by depending packages; Closes: #589592
  * debian/control
    - removed José Fonseca from Uploaders: thanks for your previous work!
  * debian/patches/changeset_r851{0,1}.diff
    - cherry-picked from upstream SVN patches to correctly detect double long on
      powerppc, fixing the FTBFS on that arch

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Jul 2010 19:42:47 +0200

python-numpy (1:1.4.1-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to a place writable even on buildd, the build dir
      (referenced with `.')

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 20:25:40 +0200

python-numpy (1:1.4.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - added myself to Uploaders
    - added python-sphinx and python-matplotlib to b-d, needed to build doc
    - drop python-numpy-ext, transitional package already in stable
    - bump Standards-Version to 3.9.0 (no changes needed)
    - removed Conflicts: all versions are already older than the ones in lenny
  * New upstream release
  * debian/patches/04_fix_utils_deprecated.patch
    - removed, upstream code has changed
  * debian/patches/05_fix_endianness_detection.patch
    - refreshed for new upstream code
    - disabled, since it generates a corrupted package (left here just in case)
  * debian/copyright
    - updated copyright notice; thanks to Yaroslav Halchenko for the report;
      Closes: #573614
    - added all the missing notices for copyrights & licenses differing from
      main ones
  * debian/rules
    - remove 'get-orig-source' target, no more needed
    - build and install documentation; thanks to Joel for the report;
      Closes: #508113
  * debian/python-numpy.install
    - sorted, it's clearer to read
    - added installation for 'compat', 'matrixlib' and 'polynomial' submodules
  * debian/patches/07_bts585309_string_exceptions.diff
    - added upstream patch (r8463) to remove string exceptions; Closes: #585309
  * debian/{compat, control, rules, *.install, *.doc}
    - switch from cdbs to dh7
  * debian/{control, rules}
    - use system-wide jquery instead of an embedded one
  * debian/python-numpy-doc.doc-base
    - added doc-base
  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - use a local copy of python.org object.inv file instead of downloading it
      from internet at doc build-time
  * debian/patches/03_force_f2py_version.patch
    - added description
  * debian/{control, README.f2py}
    - properly support f2py executables, Suggesting python-dev and gfortran and
      adding a readme file to explain that; thanks to Kevin Mitchell for the
      report; Closes: #586395
  * debian/{control, rules, *.preinst}
    - switch from python-central to python-support
  * debian/python-numpy.docs
    - separate each file in a different line and install README.f2py

  [ Piotr Ożarowski ]
  * debian/control: add XB-Python-Version to python-numpy-dbg package

  [ Kumar Appaiah ]
  * Convert to new source format: 3.0 (quilt) (Closes: #482706)
    + debian/rules: Remove CDBS' quilt related calls.
    + Add debian/source/format which says "3.0 (quilt)".

  [ Jakub Wilk ]
  * Add --prefix=/usr to setup.py in order to appease Python >= 2.6.
  * Move f2pyX.Y-dbg manpages from python-numpy to python-numpy-dbg.
  * Actually build f2pyX.Y-dbg and f2py-dbg binaries.
  * Fix shebangs for f2py* binaries.

  [ Matthias Klose ]
  * Use setup.py install --install-layout; specifying --prefix installs
    into the wrong location.

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 11:50:56 +0200

python-numpy (1:1.3.0-3) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/patches/05_fix_endianness_detection.patch:
    Force endian.h usage in npy_endian.h. Thanks to Andreas Barth
    for bringing this to our notice. (Closes: #544291)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 26 Aug 2009 14:20:56 -0500

python-numpy (1:1.3.0-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * Fix endianness detection. Closes: #543538.

  [ Matthias Klose ]
  * Do not directly depend on the versioned python2.x packages, but
    keep the versioned interpreter names in the f2py2.x scripts. If these
    are needed with this dependency, then we need a new python-numpy-f2py

