## python-numpy 1.5.1

=== debian/changelog ===
python-numpy (1:1.5.1-3) unstable; urgency=low

  * debian/rules
    - make /u/b/f2py{,-dbg} real files (not symlink) with the shebang pointing
      to unversioned python{,-dbg}, this makes the package more binNMU friendly;
      thanks to Jakub Wilk for the report; Closes: #643857

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Oct 2011 11:43:55 +0200

python-numpy (1:1.5.1-2) unstable; urgency=low

  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608771

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Apr 2011 15:27:09 +0200

python-numpy (1:1.5.1-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - python-sphinx version 1.0.1 is the minimum required
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/patches/{07_bts585309_string_exceptions.diff, changeset_*}
    - removed, available in upstream tarball
  * debian/rules
    - install libnpymath.a; thanks to Martin Hoefling for the report;
      Closes: #596987
    - updated pydist file definition

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Dec 2010 00:14:25 +0100
