=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,10 @@
 		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v-dbg," debian/tmp/usr/bin/f2py$$v-dbg; \
 	done
 	# install unversioned f2py script
-	dh_link usr/bin/f2py$(PYDEF) usr/bin/f2py
-	dh_link -ppython-numpy-dbg usr/bin/f2py$(PYDEF)-dbg usr/bin/f2py-dbg
+	cp -a debian/tmp/usr/bin/f2py$(PYDEF) debian/tmp/usr/bin/f2py
+	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python," debian/tmp/usr/bin/f2py
+	cp -a debian/tmp/usr/bin/f2py$(PYDEF)-dbg debian/tmp/usr/bin/f2py-dbg
+	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python-dbg," debian/tmp/usr/bin/f2py-dbg
 
 	# moving those scripts away until after pysupport has run, to not
 	# generate depends on pythonx.y
@@ -71,10 +73,10 @@
 
 	# create the pydist file
 	mkdir -p debian/python-numpy/usr/share/python/dist/
-	echo "numpy python-numpy (>= 1:1.4.1), python-numpy (<< 1:1.5)" > debian/python-numpy/usr/share/python/dist/python-numpy
+	echo "numpy python-numpy (>= 1:1.5.1), python-numpy (<< 1:1.6)" > debian/python-numpy/usr/share/python/dist/python-numpy
 
 override_dh_compress:
-	dh_compress -X.js
+	dh_compress -X.js -Xobjects.inv
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
@@ -86,9 +88,21 @@
 	dh_pysupport
 
 	# copy back f2py* bin, in their ultimate location
-	mv debian/tmp2/f2py?.? debian/python-numpy/usr/bin/
+	mv debian/tmp2/f2py?.? debian/tmp2/f2py debian/python-numpy/usr/bin/
 	mkdir -p debian/python-numpy-dbg/usr/bin/
-	mv debian/tmp2/f2py?.?-dbg debian/python-numpy-dbg/usr/bin/
+	mv debian/tmp2/f2py?.?-dbg debian/tmp2/f2py-dbg debian/python-numpy-dbg/usr/bin/
+
+	# GIGANTIC HACK - add back libnpymath.a
+	# get the file names, generate the new location, create the dir if missing, copy
+	# the file and then add it to the public list
+	for file in ./debian/tmp/usr/lib/python2.*/*-packages/numpy/core/lib/libnpymath.a ; do \
+		newfile=$$(echo $$file | sed 's|tmp|python-numpy|' | sed "s|lib/python|lib/pyshared/python|" | sed 's|[^/]*-packages/||') ;\
+		mkdir -p $$(dirname $$newfile) ;\
+		cp -a $$file $$newfile ;\
+		installedfile=$$(echo $$newfile | sed 's|./debian/python-numpy||') ;\
+		# add to public modules list ;\
+		echo $$installedfile >> ./debian/python-numpy/usr/share/python-support/python-numpy.public ;\
+	done
 
 build: build-arch build-indep ;
