=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/numpy/numpy-([\d\.]+)\.tar\.gz
